singularity(1)

NAME

singularity-pull - Pull an image from a URI

SYNOPSIS

singularity pull [pull options...] [output file]

DESCRIPTION

The 'pull' command allows you to download or build a container from a given
  URI. Supported URIs include:

library: Pull an image from the currently configured library
      library://user/collection/container[:tag]

docker: Pull a Docker/OCI image from Docker Hub, or another OCI registry.
      docker://user/image:tag

shub: Pull an image from Singularity Hub
      shub://user/image:tag

oras: Pull a SIF image from an OCI registry that supports ORAS.
      oras://registry/namespace/image:tag

http, https: Pull an image using the http(s?) protocol
      https://library.sylabs.io/v1/imagefile/library/default/alpine:latest

OPTIONS

--arch="arm64"
    architecture to pull from library

--dir=""
    download images to the specific directory

--disable-cache[=false]
    dont use cached images/blobs and dont create them

--docker-login[=false]
    login to a Docker Repository interactively

-F, --force[=false]
    overwrite an image file if it exists

-h, --help[=false]
    help for pull

--library=""
    download images from the provided library

--no-cleanup[=false]
    do NOT clean up bundle after failed build, can be helpful for debugging

--nohttps[=false]
    do NOT use HTTPS with the docker:// transport (useful for local docker registries without a certificate)

EXAMPLE

      From Sylabs cloud library
      $ singularity pull alpine.sif library://alpine:latest
      From Docker
      $ singularity pull tensorflow.sif docker://tensorflow/tensorflow:latest
      From Shub
      $ singularity pull singularity-images.sif shub://vsoch/singularity-images
      From supporting OCI registry (e.g. Azure Container Registry)
      $ singularity pull image.sif oras://<username>.azurecr.io/namespace/image:tag

SEE ALSO

singularity(1)

HISTORY

10-Nov-2021 Auto generated by spf13/cobra